Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161774 - "make build" silently doesn't issue build request
Summary: "make build" silently doesn't issue build request
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora Infrastructure
Classification: Retired
Component: cvs
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact: Jeremy Katz
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-27 08:55 UTC by Ralf Corsepius
Modified: 2007-04-18 17:28 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-29 19:43:18 UTC


Attachments (Terms of Use)

Description Ralf Corsepius 2005-06-27 08:55:23 UTC
As requested by Warren on FUDCon:

Description of problem:
Inside of a checked out copy of a package in FE CVS
"make build"
sometimes/occasionally silently fails.

How reproducible:
Occasionally (~1-2 times out of 3)

Steps to Reproduce:
Run "make build"
* CVS/ssh login is being prompted.
* The local copy of common/tobuild is being added a corresponding line.

However,
* cvs updating common/tobuild shows that common/tobuild doesn't appear to be
updated on the build-server.
* No mail is being sent to extras-commits-list.

Subsequently running "make build" several times, sometimes lets the build
request succeed (2 CVS/ssh login prompts during "make build", a notice "mail
being sent to extras-commits" appears, a mail from extras-commits arrives)

Additional info:
Verbally confirmed by other FE maintainers on FUDCon.

Comment 1 Jeremy Katz 2005-06-27 21:03:50 UTC
This is known and a bit annoying, yes.  Not sure of a good fix in the framework
of the CVS based stuff in use right now.  What's being worked on to move to an
XML-RPC based queuer should actually be able to fix this for real.

Comment 2 Jeremy Katz 2005-07-29 19:43:18 UTC
This should be happier with 'make plague'.  'make build' is planning on being
switched over to use what is now 'make plague' next week-ish.


Note You need to log in before you can comment on or make changes to this bug.